/* Copyright (C) 2013 Roland Lutz

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */

#ifndef TOOLKIT_H
#define TOOLKIT_H

#include "connection.h"
#include "container1.h"
#include "docks.h"
#include "editors.h"
#include "event_loop.h"
#include "global.h"
#include "hooks.h"
#include "icon.h"
#include "inputs.h"
#include "menus.h"
#include "navigator.h"
#include "scrolling.h"
#include "selector.h"
#include "statusbar.h"
#include "stdmodel.h"
#include "tabbar.h"
#include "timer.h"
#include "toolbar.h"
#include "views/buttonview.h"
#include "views/directoryview.h"
#include "views/historyview.h"
#include "views/propertiesview.h"

#endif
