/* Copyright (C) 2013 Roland Lutz

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */

#ifndef TOOLKIT_UTIL_SIZE_REQS_H
#define TOOLKIT_UTIL_SIZE_REQS_H

namespace Toolkit {

class SizeRequirements
{
public:
    SizeRequirements();
    int minWidth, minHeight;
    int maxWidth, maxHeight;

    void addX(unsigned int x);
    void addX(const SizeRequirements &reqs);
    void addY(unsigned int y);
    void addY(const SizeRequirements &reqs);
};

bool operator==(const SizeRequirements &r0, const SizeRequirements &r1);
bool operator!=(const SizeRequirements &r0, const SizeRequirements &r1);

} /* namespace Toolkit */

#endif
