/* Copyright (C) 2013 Roland Lutz

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */

#ifndef TOOLKIT_GLOBAL_H
#define TOOLKIT_GLOBAL_H

namespace Toolkit {

class WidgetWindowHook;
class Connection;
class Widget;

WidgetWindowHook *create_transient_window(
    Connection &conn, int x, int y, int width, int height,
    unsigned int border_width, unsigned long border_pixel,
    Widget *widget, WidgetWindowHook *transient_for, bool holds_menu);

} /* namespace Toolkit */

#endif
